﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace TinyBravers {

	public enum CharacterState {
		Waiting,
		Moving,
		Attacking,
		Dead
	}

	public abstract class TinyCharacter : TinyPawn {

		protected TinyController _controller;
		protected CharacterState _currentState = CharacterState.Waiting;

		public CharacterState CurrentState { get { return _currentState; } }

		public float movementSpeed = 3;

		protected Animator _animator;

		public void Possessed(TinyController newController) {
			_controller = newController;
		}

		protected override void AwakeInit() {
			base.AwakeInit();

			_animator = GetComponent<Animator>();
		}

		protected override void StartInit() {
			base.StartInit();


		}

		public void SetWalking(bool bWalk) {
			_animator.SetBool("Moving", bWalk);

			if (bWalk) {
				_animator.SetFloat("Velocity Z", 1f);
			} else {
				_animator.SetFloat("Velocity Z", 0f);
			}
		}

		public void SetState(CharacterState newState) {
			_currentState = newState;
		}
	}
}