﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;

namespace TinyBravers {

	[CustomEditor(typeof(TinyTile), false)]
	public class TinyTileEditor : Editor {

		void OnEnable() {
		}

		public override void OnInspectorGUI() {
			serializedObject.Update();

			TinyTile tile = target as TinyTile;

			for (int y = 0; y < 4; y++) {
				GUILayout.BeginHorizontal();
				for (int x = 0; x < 4; x++) {
					if (GUILayout.Button(tile.GetSquareTypeAt(x, y).ToString())) {
						if (x > 0 && x < 3) {
							if (y > 0 && y <= 3) {
								tile.SetObstacleAt(SquareType.Empty, x, y);

								return;
							}
						}

						if (tile.GetSquareTypeAt(x, y) == SquareType.Empty) {
							tile.SetObstacleAt(SquareType.Wall, x, y);
						} else if (tile.GetSquareTypeAt(x, y) == SquareType.Door || tile.GetSquareTypeAt(x, y) == SquareType.Door) {
							tile.RemoveDoors();
						} else if (tile.GetSquareTypeAt(x, y) == SquareType.Wall) {
							if (x == 0 && y == 0) {
								tile.SetObstacleAt(SquareType.Empty, x, y);
								return;
							}
							if (x == 3 && y == 0) {
								tile.SetObstacleAt(SquareType.Empty, x, y);
								return;
							}
							if (x == 0 && y == 3) {
								tile.SetObstacleAt(SquareType.Empty, x, y);
								return;
							}
							if (x == 3 && y == 3) {
								tile.SetObstacleAt(SquareType.Empty, x, y);
								return;
							}
							tile.SetObstacleAt(SquareType.Door, x, y);
						}
					}
				}
				GUILayout.EndHorizontal();
			}

			/*if (GUILayout.Button("Fix Positions")) {
				tile.FixPositions();
			}*/

			serializedObject.ApplyModifiedProperties();
		}
	}
}