﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace TinyBravers {

	public class GameManager : MonoBehaviour {

		public static GameManager instance;

		public static GameManager GetFromEditor { get {
				return GameObject.FindGameObjectWithTag("GameController").GetComponent<GameManager>();
			} }

		public TinyTileDataManager tileDataManager;

		public RoundManager roundManager;

		private TinyPlayableCharacter[] _characters;

		public TinyPlayableCharacter[] classes;

		private TinyPathFinding pathFinding;

		private void Awake() {
			if (Application.isPlaying) {
				if (instance != null) {
					Destroy(gameObject);
					return;
				}

				DontDestroyOnLoad(gameObject);
			}

			instance = this;

			TinyGameObjectPool.Warm(tileDataManager.pathFindingMarker, 50);
		}

		private void Start() {
			roundManager = new RoundManager();

			TinyTileMapManager.instance.GenerateMap();

			SpawnCharacterAtInitialPos();
		}

		public TinySquare[] PathFinding(TinySquare initialPosition, TinySquare destination) {
			return pathFinding.Pathfind(initialPosition, destination);
		}

		private void SpawnCharacterAtInitialPos() {
			GameObject gObj = Instantiate(classes[0].gameObject, TinyTileMapManager.instance.GetInitialSpawnPosition(), Quaternion.identity);
		}
	}
}