﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace TinyBravers {

	public class TinyDoor : MonoBehaviour {

		public void OpenDoor() {
			GetComponent<Animator>().SetBool("Open", true);

			TinyTileMapManager.instance.GetSquareAt(transform.position + (transform.right * 0.5f)).SetType(SquareType.Empty);
			TinyTileMapManager.instance.GetSquareAt(transform.position - (transform.right * 0.5f)).SetType(SquareType.Empty);

			// We disable the collider to allow the player to click on the tile bellow the door to move
			foreach (BoxCollider boxCol in GetComponents<BoxCollider>()) {
				boxCol.enabled = false;
			}
		}		
	}
}