﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace TinyBravers {

	/// <summary>
	/// This class holds information about a square in the world.
	/// <para>A square is an area that can hold a single entity.</para>
	/// </summary>
	public class TinySquare {

		public SquareType type;

		public bool bWalkable = false;

		public int x;
		public int y;

		// Connections to nearby squares.
		public TinySquare topSquare;
		public TinySquare rightSquare;
		public TinySquare bottomSquare;
		public TinySquare leftSquare;

		public TinySquare(SquareType nType) {
			SetType(nType);
		}

		public void SetType(SquareType nType) {
			type = nType;

			if (nType == SquareType.Empty) {
				bWalkable = true;
			}
		}
	}
}